Subject: [PATCH] ARM/nuc900: fix nuc900 touchscreen clk definition bug

From: [email-masked] (Marek Vasut)
Date: Fri, 16 Jul 2010 09:19:24 +0200

Dne P? 16. ?ervence 2010 07:34:21 Wan ZongShun napsal(a):
> 2010/7/16 Marek Vasut <[email-masked]>:
> > Dne P? 16. ?ervence 2010 05:03:27 Wan ZongShun napsal(a):
> >> This patch is to fix nuc900 touchscreen clk definition bug,the .dev_id's
> >> name should be 'nuc900-ts', it should be the same to pdev.name. or else,
> >> the touchscreen driver will be not working well due to clock engine
> >> disabled.
> >> 
> >> Signed-off-by: Wan ZongShun <[email-masked]>
> >> ---
> >>  arch/arm/mach-w90x900/cpu.c |    2 +-
> >>  1 files changed, 1 insertions(+), 1 deletions(-)
> >> 
> >> diff --git a/arch/arm/mach-w90x900/cpu.c b/arch/arm/mach-w90x900/cpu.c
> >> index 642207e..83c5632 100644
> >> --- a/arch/arm/mach-w90x900/cpu.c
> >> +++ b/arch/arm/mach-w90x900/cpu.c
> >> @@ -93,7 +93,7 @@ static struct clk_lookup nuc900_clkregs[] = {
> >>       DEF_CLKLOOK(&clk_kpi, "nuc900-kpi", NULL),
> >>       DEF_CLKLOOK(&clk_wdt, "nuc900-wdt", NULL),
> >>       DEF_CLKLOOK(&clk_gdma, "nuc900-gdma", NULL),
> >> -     DEF_CLKLOOK(&clk_adc, "nuc900-adc", NULL),
> >> +     DEF_CLKLOOK(&clk_adc, "nuc900-ts", NULL),
> >>       DEF_CLKLOOK(&clk_usi, "nuc900-spi", NULL),
> >>       DEF_CLKLOOK(&clk_ext, NULL, "ext"),
> >>       DEF_CLKLOOK(&clk_timer0, NULL, "timer0"),
> > 
> > Hey,
> > 
> > Is that thing really touchscreen or general-purpose analog/digital
> > converter ?
> 
> Oh, it is general-purpose analog/digital converter controller.
> I only use it to implemnt my touchscreen function, Also it can be use
> other function.
> 
> so, I have to change my touchscreen driver name to nuc900-adc?

No, just change the name of clock in the touchscreen driver. So that the 
touchscreen driver will use nuc900-adc clocksource.

You're welcome. :)

> 
> Thanks for your Reminder, I appreciate it. :)
> 
> > Cheers